Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#11 Patch for python 2.5

closed
nobody
None
5
2006-12-30
2006-12-18
Orion Poplawski
No

The python version checking in configure breaks with python 2.5 (because there is only one '.'). This is a horrible kludge. I'm sure there are better ways.

Discussion

  • Logged In: NO

    The patch should be applied to configure.in, but that doesn't change it significantly.

    I find the following solution more elegant:

    import sys, string
    print string.join(sys.version.split(" ")[0].split(".")[0:2],".")

    Since there are no single-quotes in there, one can simply
    echo 'print string.join(sys.version.split(" ")[0].split(".")[0:2],".")' >> $queryfile
    without any backslashes. Who said that configure scripts must look like line noise?

     
  • Marc Schellens
    Marc Schellens
    2006-12-30

    Logged In: YES
    user_id=932957
    Originator: NO

    the handling for [ and ] is not correct in this patch.

     
  • Marc Schellens
    Marc Schellens
    2006-12-30

    • status: open --> closed